Loading...
Searching...
No Matches
ZeyosRestClient::ZeyosRestConnection Class Reference

class for Zeyos.com REST connections; returns ZeyosRestClient::ZeyosRestClient objects More...

## Public Member Functions

| constructor (hash< auto > config, *hash< auto > attr)
| creates the ZeyosRestConnection object
| constructor (string name, string description, string url, hash< auto > attributes={}, hash< auto > options={})
| creates the ZeyosRestConnection object
hash< auto > | getConstructorOptions (hash< auto > options)
| gets options for the constructor
string | getType ()
| returns `"zeyosrest"`

## Public Attributes

const | ConnectionScheme = ...
| Connection entry info.

## Protected Member Functions

hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
ZeyosRestClient | getImpl (bool connect=True, *hash< auto > rtopts)
| returns a ZeyosRestClient::ZeyosRestClient object

## Detailed Description

class for Zeyos.com REST connections; returns ZeyosRestClient::ZeyosRestClient objects

In addition to all options supported by RestClientConnection, this connection class supports the following options:

- `"appsecret"` (mandatory): the zeyos.com appsecret
- `"identifier"` (optional): the zeyos.com identifier
- `"instance"` (mandatory): the zeyos.com name

Note
  additionally supports the following runtime option in getImpl():
  - `"validator"`: an AbstractRestSchemaValidator object for REST message validation (if present, overrides any REST schema validation option provided as a connection option)

See also
  ZeyosRestClient::constructor() for more information on the above options

## Member Function Documentation

## constructor() [1/2]

ZeyosRestClient::ZeyosRestConnection::constructor | ( | hash< auto > | config,
|  | *hash< auto > | attr )

creates the ZeyosRestConnection object

Parameters

  config

  with the following keys:
  - name (required string): the connection name
  - display_name (optional string): the display name
  - short_desc (optional string): a short description in plain text
  - desc (optional string): a long description with markdown formatting
  - url (required string): the connection URL
  - opts (optional hash): connection options
  - logger (optional LoggerInterface object): logger for the connection

  attr

  optional connection attributes
  - monitor (optional bool): should the connection be monitored? Default: True
  - enabled (optional bool): is the connection enabled? Default: True
  - locked (optional bool): is the connection locked? Default: False
  - debug_data (optional bool): debug data? Default: False
  - tags (optional hash): tags for the connection; no default value

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option or attribute

## constructor() [2/2]

ZeyosRestClient::ZeyosRestConnection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash< auto > | attributes = {},
|  | hash< auto > | options = {} )

creates the ZeyosRestConnection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## getImpl()

ZeyosRestClient ZeyosRestClient::ZeyosRestConnection::getImpl | ( | bool | connect = True,
|  | *hash< auto > | rtopts )

protected

returns a ZeyosRestClient::ZeyosRestClient object

Parameters

  connect | if True, then the connection is returned already connected
  rtopts | this connection type does not accept any runtime options, so this parameter is ignored

Returns
  a ZeyosRestClient object